<?
require_once("./ldbi.php");

$db = &new LDBI("mydb", TRUE);	// create (if it doesn't exist) and open a db named mydb
$table =& $db->table("mytable", "c"); // create and open (if it doesn't exist) a table named mytable
$sequence =& $db->sequence("mysequence", "c"); // create and open (if it doesn't exist) a sequence named mysequence

$record = array(
	"id"=>$sequence->next(),
	"username"=>"admin",
	"password"=>"adminpassword"
);

$table->insert($record);
$table->buildindex("id");
$table->buildindex("username");
$table->buildindex("username", "password");
$table->destroy();

$table =& $db->table("mytable", "c"); // create and open (if it doesn't exist) a table named mytable

$records = $table->load();
print_r($records);

$match = $table->search("username=%dmin%");
print_r($match);

foreach($match as $row)
{
	print_r($table->get($row));
}

?>
